import PropTypes from "prop-types";
import BannerInfoElement from "./BannerInfoElement";

function BannerInfo({info}) {
    const date = new Date().toLocaleDateString('en-IN', {month: 'long', day: '2-digit', year: 'numeric'}).split(" ");
    const infoElements = Object.keys(info).map((key) => (
        <BannerInfoElement key={key} title={key} description={info[key]} />    
    ))
    infoElements.push(<BannerInfoElement key="date" title="Date" description={date.join(" ")} />);
    return (
        <div className="flex justify-between pb-1">
            {infoElements}
        </div>
    )
}

BannerInfo.propTypes = {
    info: PropTypes.object.isRequired
}

export default BannerInfo;