import { getUserInfoFromSession } from "../util/util";
import AppTitle from "./AppTitle";
import BannerInfo from "./BannerInfo";
import MenuBar from "./MenuBar";
import Separator from "./Separator";

function Header() {
    const userInfo = getUserInfoFromSession();
    const menuItems = [
        { name: "Home", submenu: [], path: "/" },
        {
          name: "Module List",
          submenu: [
            {name: "KCC", path: "kcc"},
            {name: "Trading", path: "trading"},
            {name: "Asset", path: "asset"},
            {name: "Self Help Group", path: "shg"},
            {name: "Deposit", path: "deposit"},
            {name: "Loan", path: "loan"},
            {name: "Share", path: "share"},
          ],
        },
        { name: "Enquiry", submenu: [{name: "Locker Enquiry", path: "locker-enquiry"}, {name: "Account Enquiry", path: "account-enquiry"}] },
        {
          name: "Locker Operation",
          submenu: [
            {name: "Account Creation", path: "account-creation"},
            {name: "Cabinet Maintenance", path: "cabinet-maintenance"},
            {name: "Locker Maintenance", path: "locker-maintenance"},
            {name: "Rent/Penalty Collection", path: "rent-collection"},
            {name: "Charge Management", path: "charge-management"},
            {name: "Check in/out Management", path: "check-in-out"},
            {name: "Account Surrender", path: "account-surrender"}
          ],
        },
        {
          name: "Reports",
          submenu: [
            {name: "Deposit Report", path: "deposit-report"},
            {name: "Trial Balance Report", path: "trial-report"},
            {name: "Deposit Return Report", path: "deposit-return-report"},
            {name: "Account Statement Reports", path: "account-statement-report"},
            {name: "Audit Reports", path: "audit-reports"}
          ],
        },
        { name: "Worklist", submenu: [{name:"My Intimation", path: "my-intimation"}] },
        {
          name: "User Management",
          submenu: [{name: "Reset Loggen In Status", path: "reset-login"}, {name: "Change Password", path: "change-password"}],
        },
        { name: "Log Out", submenu: [] },
      ];
    
    return (
        <div className="transition-color-mode px-7 bg-secondary dark:bg-secondary-dark text-primary dark:text-primary-dark">
            <AppTitle />
            <BannerInfo info={userInfo} />
            <Separator />
            <MenuBar menuItems={menuItems} />
        </div>
    )
}

export default Header;
